Subject: Re: [PATCH] Heartbeat LED for iBook

From: Nico Schottelius <[email-masked]>
Date: Fri, 18 Feb 2005 13:20:09 +0100

Segher Boessenkool [Fri, Feb 18, 2005 at 01:11:00PM +0100]:
> >>>Btw, howto control it via /dev/adb? Can you point me to a document
> >>>which explains that?
> >>
> >>Write a byte 0x06 followed by the PMU packet (all in one write());
> >>read back the PMU reply (all in one read()).
> >
> >What exactly does 0x06 mean?
> 
> 6 just means "send to PMU".  It is a Linux thing, nothing to do
> with the PMU itself.

thought something like that.

> >Flash led? Isn't there some kind of
> >"bright-led" "5V,12V,24V" settings available? I mean I want to be able
> >to change the brightness.
> 
> You can't change brightness on a LED.  You can however make it blink,
> say, a few hundred times per second, and change the duty-cycle.

Ok, that's what I meant.

> >Please point me to a FM about adb.
> 
> What is a FM?  And it has nothing to do with ADB.

Well, it's the last part of RTFM, so I was asking
for the "fine manual", the documentation to ADB/PMU. So I can
lookup the commands I need for setting the led on/off.

Nico